Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2138636 - Poetry is FTI in Rawhide
Summary: Poetry is FTI in Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poetry
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-10-30 13:18 UTC by Mattia Verga
Modified: 2022-10-31 01:26 UTC (History)
5 users (show)

Fixed In Version: poetry-1.2.1-3.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-30 21:10:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mattia Verga 2022-10-30 13:18:11 UTC
A recent python-requests-toolbelt upgrade in Rawhide has broken poetry install:

Error: 
 Problem: package poetry-1.2.1-2.fc38.noarch requires python3-poetry = 1.2.1-2.fc38, but none of the providers can be installed
  - conflicting requests
  - nothing provides (python3.11dist(requests-toolbelt) < 0.10~~ with python3.11dist(requests-toolbelt) >= 0.9.1) needed by python3-poetry-1.2.1-2.fc38.noarch

FYI python-requests-toolbelt is now at python-requests-toolbelt-0.10.1-1.fc38

Comment 1 Miro Hrončok 2022-10-30 16:16:56 UTC
Parag, please coordinate future updates of python-requests-toolbelt with us.

Comment 2 Miro Hrončok 2022-10-30 17:38:50 UTC
I've attempted to check if the new update is usable with poetry only to realize the tests never actually run in %check as they have missing dependencies.

Comment 3 Miro Hrončok 2022-10-30 21:05:49 UTC
(In reply to Miro Hrončok from comment #2)
> I've attempted to check if the new update is usable with poetry only to
> realize the tests never actually run in %check as they have missing
> dependencies.

I've opened bz2138663.

The same tests succeed/fail with old and new requests-toolbelt.

Comment 4 Fedora Update System 2022-10-30 21:08:39 UTC
FEDORA-2022-74f146f695 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-74f146f695

Comment 5 Fedora Update System 2022-10-30 21:10:07 UTC
FEDORA-2022-74f146f695 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Adam Williamson 2022-10-30 22:29:35 UTC
I was actually working on this too. I sent a pull request with a more correct fix upstream: https://github.com/python-poetry/poetry/pull/6924

Comment 7 Parag Nemade 2022-10-31 01:26:42 UTC
(In reply to Miro Hrončok from comment #1)
> Parag, please coordinate future updates of python-requests-toolbelt with us.

Sorry that it broke poetry package. I will remember this next time.
Thank you for fixing this package quickly.


Note You need to log in before you can comment on or make changes to this bug.